### org.jfree.layouting.input.style.values

# Class CSSNumericType

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSType`
  - - `org.jfree.layouting.input.style.values.CSSNumericType`

Known Direct Subclasses:
  CSSTimeType

`public class CSSNumericType`
`extends CSSType`

Creation-Date: 23.11.2005, 11:41:24

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSNumericType`

  `CM`

  `static CSSNumericType`

  `DEG`

  `static CSSNumericType`

  `EM`

  `static CSSNumericType`

  `EX`

  `static CSSNumericType`

  `INCH`

  `static CSSNumericType`

  `MM`

  `static CSSNumericType`

  `NUMBER`

  `static CSSNumericType`

  `PC`

  `static CSSNumericType`

  `PERCENTAGE`

  `static CSSNumericType`

  `PT`

  `static CSSNumericType`

  `PX`

  ## Constructor Summary

  `CSSNumericType(String name)`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.values.CSSType

  `getType`, `toString`

## Field Details

### CM

    public static final CSSNumericType CM

### DEG

    public static final CSSNumericType DEG

### EM

    public static final CSSNumericType EM

### EX

    public static final CSSNumericType EX

### INCH

    public static final CSSNumericType INCH

### MM

    public static final CSSNumericType MM

### NUMBER

    public static final CSSNumericType NUMBER

### PC

    public static final CSSNumericType PC

### PERCENTAGE

    public static final CSSNumericType PERCENTAGE

### PT

    public static final CSSNumericType PT

### PX

    public static final CSSNumericType PX

## Constructor Details

### CSSNumericType

    protected CSSNumericType(String name)